Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Visuwesh <[email-masked]>
Date: Sat, 26 Apr 2025 12:24:02 +0530

[வெள்ளி ஏப்ரல் 25, 2025] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: Stefan Monnier <[email-masked]>,  Eli Zaretskii
>>  <[email-masked]>,  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Thu, 24 Apr 2025 23:55:05 +0530
>> 
>> [வியாழன் ஏப்ரல் 24, 2025] Gerd Möllmann wrote:
>> 
>> >> So the benchmark tests scroll time, including jit/font-lock time.
>> >> It uses its own copy of a major mode, so that you can compare "scroll +
>> >> font-lock" performance between different Emacs releases without being
>> >> affected by improvements/regressions in CC-mode itself.
>> >
>> > So maybe it would make sense to run both that benchmark as-is plus one
>> > without smie but with tamil.txt, I guess. Or in other words, now only
>> > the as-is benchmark, because the tamil.txt results I've already posted.
>> 
>> Before including tamil.txt, I would like to make clear that the file
>> contents is volume 1 of a (popular) novel which was released in the 50s.
>> I got the text itself from Project Madurai which states that [1]:
>> 
>>     Acknowledgement:
>>     Our Sincere thanks go to the following persons for their assistance in the preparation of this work.
>>     Etext preparation : AU-KBC Research Center (Mr. Baskaran), Anna University, Chennai,India
>>     Proof-reading: Mr. S. Anbumani, Mr. N.D. Logasundaram,Mr. Narayanan Govindarajan,
>>     Ms. Pavithra Srinivasan, Mr. Ramachandran Mahadevan, Ms. Sathya, Mr. Sreeram Krishnamoorthy,
>>     Dr. Sridhar Rathinam, Mrs. Srilatha Rajagopal, Mr. VinothJagannathan
>>     Web version: Mr. S. Anbumani, Blacksburg, Virginia, USA
>> 
>>     This webpage presents the Etxt in Tamil script in Unicode encoding.
>>     This file was last revised on Apr. 12, 2003
>> 
>>     © Project Madurai, 1998-2021.
>>     Project Madurai is an open, voluntary, worldwide initiative devoted to preparation
>>     of electronic texts of tamil literary works and to distribute them free on the Internet.
>>     Details of Project Madurai are available at the website
>>     https://www.projectmadurai.org/
>>     You are welcome to freely distribute this file, provided this header page is kept intact.   
>> 
>> So I assume there should no problem in distributing it in the repo.  If
>> there could be, we could try composing all the text from any work in
>> freetamilebooks.com which publishes under the CC BY-NC-SA license.
>> 
>> 1. https://www.projectmadurai.org/pm_etexts/utf8/pmuni0169_00.html
>
> First, we don't have to include the file in our benchmarks.  We could
> instead run the benchmarks on it and publish the results.  It isn't
> like the implementation of charpos<->bytepos conversions changes too
> often.

That makes sense to me.

> Second, after looking at the site, I cannot figure out the copyright
> issues.  The only place where this is addressed is the following
> question in their FAQ:
>
>   3.3  How about copyright issues ?
>
>   Project Madurai strictly adheres to copyright standards.  All the
>   works in the collection are either from public-domain (after a certain
>   period of their creation, currently ca. 75 years after the lifespan of
>   the author) or with due consent from the respective authors.
>
> I understand the PD part, but not the other part.  What does it mean?

AFAIU, it says that some works in the website are published after
getting permission from the author of the text.  For example, refer to
the notice in https://projectmadurai.org/pm_etexts/utf8/pmuni0148.html.
The author of the work himself submitted the text to Project Madurai,
and agreed to distribute it.